org.jbpm.process.instance

## Class ProcessRuntimeImpl

- java.lang.Object
- - org.jbpm.process.instance.ProcessRuntimeImpl

- All Implemented Interfaces:
    org.drools.core.runtime.process.InternalProcessRuntime, org.kie.api.event.process.ProcessEventManager, org.kie.api.runtime.process.ProcessRuntime, org.kie.internal.process.CorrelationAwareProcessRuntime

      public class ProcessRuntimeImpl
      extends Object
      implements InternalProcessRuntime

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProcessRuntimeImpl.RegisterStartTimerAction`
    `class` | `ProcessRuntimeImpl.SignalManagerSignalAction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessRuntimeImpl(org.drools.core.common.InternalKnowledgeRuntime kruntime)`
    `ProcessRuntimeImpl(org.drools.core.common.InternalWorkingMemory workingMemory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortProcessInstance(long processInstanceId)`
    `void` | `addEventListener(org.kie.api.event.process.ProcessEventListener listener)`
    `void` | `clearProcessInstances()`
    `void` | `clearProcessInstancesState()`
    `org.kie.api.runtime.process.ProcessInstance` | `createProcessInstance(String processId, org.kie.internal.process.CorrelationKey correlationKey, Map<String,Object> parameters)`
    `org.kie.api.runtime.process.ProcessInstance` | `createProcessInstance(String processId, Map<String,Object> parameters)`
    `void` | `dispose()`
    `List<org.kie.api.event.process.ProcessEventListener>` | `getProcessEventListeners()`
    `org.drools.core.event.ProcessEventSupport` | `getProcessEventSupport()`
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance(org.kie.internal.process.CorrelationKey correlationKey)`
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance(long id)`
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance(long id, boolean readOnly)`
    `ProcessInstanceManager` | `getProcessInstanceManager()`
    `Collection<org.kie.api.runtime.process.ProcessInstance>` | `getProcessInstances()`
    `SignalManager` | `getSignalManager()`
    `TimerManager` | `getTimerManager()`
    `org.kie.api.runtime.process.WorkItemManager` | `getWorkItemManager()`
    `void` | `initProcessEventListeners()`
    `void` | `initStartTimers()`
    `boolean` | `isActive()`
    `void` | `removeEventListener(org.kie.api.event.process.ProcessEventListener listener)`
    `void` | `removeProcessEventListeners()`
    `void` | `removeProcessInstance(org.kie.api.runtime.process.ProcessInstance processInstance)`
    `void` | `setProcessEventSupport(org.drools.core.event.ProcessEventSupport processEventSupport)`
    `void` | `signalEvent(String type, Object event)`
    `void` | `signalEvent(String type, Object event, long processInstanceId)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcess(String processId)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcess(String processId, org.kie.api.runtime.rule.AgendaFilter agendaFilter)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcess(String processId, org.kie.internal.process.CorrelationKey correlationKey, Map<String,Object> parameters)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcess(String processId, Map<String,Object> parameters)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcess(String processId, Map<String,Object> parameters, org.kie.api.runtime.rule.AgendaFilter agendaFilter)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcess(String processId, Map<String,Object> parameters, String trigger)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcessFromNodeIds(String processId, org.kie.internal.process.CorrelationKey key, Map<String,Object> params, String... nodeIds)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcessFromNodeIds(String processId, Map<String,Object> parameters, String... nodeInstancesIds)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcessInstance(long processInstanceId)`
    `org.kie.api.runtime.process.ProcessInstance` | `startProcessInstance(long processInstanceId, String trigger, org.kie.api.runtime.rule.AgendaFilter agendaFilter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessRuntimeImpl

          public ProcessRuntimeImpl(org.drools.core.common.InternalKnowledgeRuntime kruntime)

    - #### ProcessRuntimeImpl

          public ProcessRuntimeImpl(org.drools.core.common.InternalWorkingMemory workingMemory)

  - ### Method Detail

    - #### initStartTimers

          public void initStartTimers()

    - #### startProcess

          public org.kie.api.runtime.process.ProcessInstance startProcess(String processId)

      Specified by:
        `startProcess` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### startProcess

          public org.kie.api.runtime.process.ProcessInstance startProcess(String processId,
                                                                          Map<String,Object> parameters)

      Specified by:
        `startProcess` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### startProcess

          public org.kie.api.runtime.process.ProcessInstance startProcess(String processId,
                                                                          Map<String,Object> parameters,
                                                                          String trigger)

    - #### startProcess

          public org.kie.api.runtime.process.ProcessInstance startProcess(String processId,
                                                                          org.kie.api.runtime.rule.AgendaFilter agendaFilter)

      Specified by:
        `startProcess` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### startProcess

          public org.kie.api.runtime.process.ProcessInstance startProcess(String processId,
                                                                          Map<String,Object> parameters,
                                                                          org.kie.api.runtime.rule.AgendaFilter agendaFilter)

      Specified by:
        `startProcess` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### createProcessInstance

          public org.kie.api.runtime.process.ProcessInstance createProcessInstance(String processId,
                                                                                   Map<String,Object> parameters)

      Specified by:
        `createProcessInstance` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### startProcessFromNodeIds

          public org.kie.api.runtime.process.ProcessInstance startProcessFromNodeIds(String processId,
                                                                                     Map<String,Object> parameters,
                                                                                     String... nodeInstancesIds)

      Specified by:
        `startProcessFromNodeIds` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### startProcessFromNodeIds

          public org.kie.api.runtime.process.ProcessInstance startProcessFromNodeIds(String processId,
                                                                                     org.kie.internal.process.CorrelationKey key,
                                                                                     Map<String,Object> params,
                                                                                     String... nodeIds)

      Specified by:
        `startProcessFromNodeIds` in interface `org.kie.internal.process.CorrelationAwareProcessRuntime`

    - #### startProcessInstance

          public org.kie.api.runtime.process.ProcessInstance startProcessInstance(long processInstanceId,
                                                                                  String trigger,
                                                                                  org.kie.api.runtime.rule.AgendaFilter agendaFilter)

    - #### startProcessInstance

          public org.kie.api.runtime.process.ProcessInstance startProcessInstance(long processInstanceId)

      Specified by:
        `startProcessInstance` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### startProcess

          public org.kie.api.runtime.process.ProcessInstance startProcess(String processId,
                                                                          org.kie.internal.process.CorrelationKey correlationKey,
                                                                          Map<String,Object> parameters)

      Specified by:
        `startProcess` in interface `org.kie.internal.process.CorrelationAwareProcessRuntime`

    - #### createProcessInstance

          public org.kie.api.runtime.process.ProcessInstance createProcessInstance(String processId,
                                                                                   org.kie.internal.process.CorrelationKey correlationKey,
                                                                                   Map<String,Object> parameters)

      Specified by:
        `createProcessInstance` in interface `org.kie.internal.process.CorrelationAwareProcessRuntime`

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance(org.kie.internal.process.CorrelationKey correlationKey)

      Specified by:
        `getProcessInstance` in interface `org.kie.internal.process.CorrelationAwareProcessRuntime`

    - #### getProcessInstanceManager

          public ProcessInstanceManager getProcessInstanceManager()

    - #### getTimerManager

          public TimerManager getTimerManager()

    - #### getSignalManager

          public SignalManager getSignalManager()

    - #### getProcessInstances

          public Collection<org.kie.api.runtime.process.ProcessInstance> getProcessInstances()

      Specified by:
        `getProcessInstances` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance(long id)

      Specified by:
        `getProcessInstance` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance(long id,
                                                                                boolean readOnly)

      Specified by:
        `getProcessInstance` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### removeProcessInstance

          public void removeProcessInstance(org.kie.api.runtime.process.ProcessInstance processInstance)

    - #### initProcessEventListeners

          public void initProcessEventListeners()

    - #### removeProcessEventListeners

          public void removeProcessEventListeners()

    - #### getProcessEventSupport

          public org.drools.core.event.ProcessEventSupport getProcessEventSupport()

    - #### addEventListener

          public void addEventListener(org.kie.api.event.process.ProcessEventListener listener)

      Specified by:
        `addEventListener` in interface `org.kie.api.event.process.ProcessEventManager`

    - #### removeEventListener

          public void removeEventListener(org.kie.api.event.process.ProcessEventListener listener)

      Specified by:
        `removeEventListener` in interface `org.kie.api.event.process.ProcessEventManager`

    - #### getProcessEventListeners

          public List<org.kie.api.event.process.ProcessEventListener> getProcessEventListeners()

      Specified by:
        `getProcessEventListeners` in interface `org.kie.api.event.process.ProcessEventManager`

    - #### abortProcessInstance

          public void abortProcessInstance(long processInstanceId)

      Specified by:
        `abortProcessInstance` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### getWorkItemManager

          public org.kie.api.runtime.process.WorkItemManager getWorkItemManager()

      Specified by:
        `getWorkItemManager` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event,
                                  long processInstanceId)

      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.ProcessRuntime`

    - #### setProcessEventSupport

          public void setProcessEventSupport(org.drools.core.event.ProcessEventSupport processEventSupport)

      Specified by:
        `setProcessEventSupport` in interface `org.drools.core.runtime.process.InternalProcessRuntime`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.drools.core.runtime.process.InternalProcessRuntime`

    - #### clearProcessInstances

          public void clearProcessInstances()

      Specified by:
        `clearProcessInstances` in interface `org.drools.core.runtime.process.InternalProcessRuntime`

    - #### clearProcessInstancesState

          public void clearProcessInstancesState()

      Specified by:
        `clearProcessInstancesState` in interface `org.drools.core.runtime.process.InternalProcessRuntime`

    - #### isActive

          public boolean isActive()

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.